Cyberduck Mountain Duck CLI

#1795 closed enhancement (fixed)

Permissions in S3 Not Working

Reported by: alan@… Owned by: dkocher
Priority: normal Milestone: 3.0
Component: s3 Version: 2.8.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

If you connect to S3, the permissions show up as unknown. It would be nice to be able to change them.

Change History (6)

comment:1 Changed on Feb 22, 2008 at 2:50:53 PM by dkocher

  • Status changed from new to assigned
  • Type changed from defect to enhancement

We have to map the ACLs somehow. Propositions how this should be best done are welcome.

comment:2 follow-up: Changed on Feb 22, 2008 at 3:34:22 PM by alan@…

dkocher,

Are you wanting to map it identically to the existing interface, or is there flexibility to update it to handle the full S3 ACL setup?

If you want it to map identically to the existing permissions interface, I think it would be best to just active the read and write checkboxes for Owner and Others.

If you're cool with designing a new interface for it, my thought would be that it needs to show a list with the 5 amazon ACL permissions and include some way to add and remove users in the ACL.

comment:3 in reply to: ↑ 2 Changed on Feb 23, 2008 at 6:57:17 PM by dkocher

Replying to alan@commondream.net:

In a initial release, it should be enough to just have the 'Owner' and 'Others' setup with the other checkboxes disabled as it is probably by far the most common usecase.

Later one could add a 'ACL' tab to the file permission settings with more options.

comment:4 follow-up: Changed on Feb 24, 2008 at 3:45:39 PM by dkocher

In r3509 there is a basic mapping of the ACLs to the standard UNIX permissions settings available.

Owner Read|Write <>CanonicalGrantee with Owner ID
Others Read|Write <>http://acs.amazonaws.com/groups/global/AllUsers

comment:5 in reply to: ↑ 4 Changed on Feb 24, 2008 at 6:01:51 PM by anonymous

Replying to dkocher:

I just did some basic testing, and it looks great. Thanks for putting that together! Don't hesitate to email me if you need any testing on any other S3 features... we use it pretty extensively at work.

comment:6 Changed on Feb 25, 2008 at 9:47:58 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Will move ACL support to a new ticket.

Note: See TracTickets for help on using tickets.
swiss made software